<?php

/**
 * The public-facing functionality of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Plugin_Name
 * @subpackage Plugin_Name/public
 */

/**
 * The public-facing functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    Plugin_Name
 * @subpackage Plugin_Name/public
 * @author     Your Name <email@example.com>
 */
class Skype_Plugin_Public {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $plugin_name       The name of the plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

	} 

	/**
	 * Register the stylesheets for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() {
		wp_enqueue_style( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'css/skype-plugin-public.css', array(), $this->version, 'all' );
		wp_enqueue_style( 'sp-skype-css', plugin_dir_url( __FILE__ ) . 'css/skype-css.css', array(), $this->version, 'all' );
	}

	/**
	 * Register the JavaScript for the public-facing side of the site.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {
	    https://swc.cdn.skype.com/sdk/v1/sdk.min.js
	    wp_enqueue_script( $this->plugin_name,'https://swc.cdn.skype.com/sdk/v1/sdk.min.js', array( 'jquery' ), $this->version, true );
		wp_enqueue_script( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'js/skype-plugin-public.js', array( 'jquery' ), $this->version, true );
		
	}
	
	public function sp_public_fn(){
		extract(json_decode(get_option('skype_pulgin_setting_save'),true));
			if( $sp_skype_id != ''){
				$sp_select_page = array();
			$sp_select_post = array();
			extract(json_decode(get_option('skype_pulgin_setting_save'),true));
			if( $sp_skype_id != ''){
				if($sp_Show_all == "yes"){
					require plugin_dir_path(__FILE__)."/partials/skype-plugin-public-display.php";
				}else{ 
					if(is_page() &&  in_array(get_the_id(), $sp_select_page) ){
						require plugin_dir_path(__FILE__)."/partials/skype-plugin-public-display.php";
					}else if( is_single() && in_array(get_the_id(), $sp_select_post) ){
						require plugin_dir_path(__FILE__)."/partials/skype-plugin-public-display.php";
					}	
				}
			} 
		}	
	}
}